KJL - Feature #3130

Status Sales Order

10/09/2024 02:57 PM - jihad .

Status: Closed
Priority: High
Assignee: jihad ....
Category:

Target version:

Start date: 10/09/2024
Due date: 10/15/2024
% Done: 0%
Estimated time: 0.00 hour
Spent time: 0.00 hour

Description
Dear Mba Yoma,

Ingin ada perbuahan pada status di sales order, penjelasan berikut ini

DocType Status Untuk:
Sales Order: Draft User belum selesai membuat dokumen  Tidak mempunyai efek pada stock,
sehingga ingin di non-aktifkan
button checkstock
Submit  User Sudah selesai membuat dokumen  Ketika document di save tetapi Ketika document di save dengan
dan akan mengirim notifikasi ke pada tab allocation checkstock status submit maka checkstock
approver untuk dilakukan pengecekan  terdapat material yang notready  menjadi wajib dan barang di stock
dan approving maka tidak bisa melakukan save  info akan terallocate
Active Approver sudah melakukan approve Ini adalah final
Sales Order dan siap ke tahap DO
Cancel Ketika tidak jadi melanjutkan proses SO *bisa dilakukan saat document *saat sumbit kan sudah allocate
status draft dan submit. Ketika stock maka ketika di cancel, stock
sudah Active sudah tidak bisadi  yang terallocate akan balik ke
edit available
Terima kasih
History

#1 - 10/10/2024 10:42 AM - Kezia Pawitra Yulianti

- Due date set to 10/15/2024

- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 10/14/2024 04:51 PM - Tri Rizqiaty

- Status changed from Assigned to Developing

Fixing :

Update API2/bin : MinovalS.MinovaES.Business.Logistic.dll

#3 - 10/14/2024 04:52 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to jihad ....

#4 - 11/07/2024 09:15 AM - jihad ....
- Status changed from QA Test to Assigned

- Assignee changed from jihad .... to Tri Rizqiaty

Mba yoma,

ingin dibuatkan settingan ketika pada tab approver semua approver flag sudah Yes maka otomatis mengubah status menajadi Approved

untuk table tab approvernya =

07/01/2025

PTRSALESDOCAPPROVER

1/2




Terima kasih

#5 - 11/07/2024 03:11 PM - Tri Rizqiaty

- File PCMWFCUSTPARAM.xIsx added

- File documentlogistic.js added

- File clipboard-202411071510-ryubo.png added

- Status changed from Assigned to Developing

Fixing :

1. Update table PCMWFCUSTPARAM sesuai file terlampir

2. Update Ul-app-controller : documentlogistic.js yg dirubah sesuai gambar dibawah :
B ‘e, config ¢ ,l H chilravel s ¢ ,l B po_hba conf _l B postaresal conf __=-] B mderpsearch.jz b ,l B Minovasiype js _‘.l B Logtat _‘.l B fingerShC bt ¢ l document s o4 =] documentlogistic.js E3

1654 methodMName: 'SaveTableDoco!'

1655 parameter: 'transType=' + me.transType + ' &docType=' + me.docType +

1656 '&header=' + dataleader + '&detail=' + dataletail + '&action=' + me.action + '&token=' + token

1657 - ¥

1658 [H MinovaljaxPost{'/InvokeZervice/ Invoke/ ', params, function (xhr) {

1659 console. logl ' Post ! ')

1aa0 rar result = Ext.decode{xhr.responseText);

1661 [H if {(result.succeas) {

1662 var idNo = result.data:

1663 formHead, findFieldi"Doclo”) . setValuefidlo):

1664 if {(me.docType == "ICRD"y /S/// add by tri nwh 20241107

1665 [ {

la66 E—% Minovaltil.ExecuteParamiuery( {

1667 ID: "PLSFILOSALESHEADERAFPPROVE™,

1668 DocMNo: idNo,

1669 UserMName: Minowvaltil.GetUserName()

1670 - }, function {s) {}, function {f) {}):

1671 - 1

#6 - 11/07/2024 03:11 PM - Tri Rizqgiaty

- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to jihad ....

#7 - 11/08/2024 08:59 AM - Anonymous

- Status changed from QA Test to Closed

Terima kasih mba

Files

clipboard-202410091455-g6tmq.png 29.4 KB 10/09/2024 jihad ....
PCMWFCUSTPARAM.xIsx 8.81 KB 11/07/2024 Tri Rizgiaty
documentlogistic.js 106 KB 11/07/2024 Tri Rizgiaty
clipboard-202411071510-ryubo.png 44.8 KB 11/07/2024 Tri Rizgiaty
